%define module_name AnyEvent-Fork-Pool
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Fork.pm) perl(AnyEvent/Fork/RPC.pm) perl(Array/Heap.pm) perl(ExtUtils/MakeMaker.pm) perl(Guard.pm) perl(Scalar/Util.pm) perl(Task/Weaken.pm) perl(common/sense.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2
Release: alt2
Summary: simple process pool manager on top of AnyEvent::Fork
Group: Development/Perl
License: see COPYING
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/ML/MLEHMANN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module uses processes created via the AnyEvent::Fork manpage and the RPC
protocol implement in the AnyEvent::Fork::RPC manpage to create a load-balanced
pool of processes that handles jobs.

Understanding of the AnyEvent::Fork manpage is helpful but not critical to be able
to use this module, but a thorough understanding of the AnyEvent::Fork::RPC manpage
is, as it defines the actual API that needs to be implemented in the
worker processes.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README COPYING
%perl_vendor_privlib/A*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 1.2-alt2
- updated summary

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1
- initial import by package builder

